Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class MediaBfile

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Media
                          oracle.ifs.beans.TieMedia
                              oracle.ifs.beans.MediaBfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieMediaBfile

    public class MediaBfile

extends TieMedia

Stores content on a file system mounted on the database-tier host.

(Published)

Field Summary
`static java.lang.String` | `BASEPATH_ATTRIBUTE` The name of the attribute whose value is the absolute path to the base directory for content stored by this MediaBfile instance.
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `MEDIAOPTION_FILENAME` The name of the media option whose value is the filename in which content will be stored on the database-tier file system.
`static java.lang.String` | `MEDIAOPTION_RELATIVE_PATH` The name of the media option whose value is the relative path from the BASEPATH of the MediaBfile instance to the directory on the database-tier file system in which the content will be stored.

Fields inherited from class oracle.ifs.beans.Media
`COLUMNNAME_ATTRIBUTE, CONTENTINDEXPROCEDURE_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, MEDIAOPTION_ALLOW_NONTRANSACTIONAL_CONTENT_DESTRUCTION, READONLY_ATTRIBUTE, TABLENAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `MediaBfile(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a MediaBfile object.

Method Summary
`static MediaBfile[]` | `findAll(LibrarySession session)` Gets the set of all MediaBfile instances.
`static MediaBfile` | `findByName(LibrarySession session, java.lang.String name)` Gets the MediaBfile with the specified name.
`java.lang.String` | `getBasePath()` Gets the absolute path to the base directory for content stored by this MediaBfile instance.

Methods inherited from class oracle.ifs.beans.Media
`getColumnName, getContentIndexProcedure, getDescription, getLibraryObjectLookupCache, getTableName, hasNameAttribute, isReadOnly`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `MediaBfile`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### BASEPATH_ATTRIBUTE

    public static final java.lang.String BASEPATH_ATTRIBUTE

  Description copied from class: `MediaBfile`
  The name of the attribute whose value is the absolute path to the base directory for content stored by this MediaBfile instance.

  See Also:
    Constant Field Values
  (Published)

### MEDIAOPTION_RELATIVE_PATH

    public static final java.lang.String MEDIAOPTION_RELATIVE_PATH

  Description copied from class: `MediaBfile`
  The name of the media option whose value is the relative path from the BASEPATH of the MediaBfile instance to the directory on the database-tier file system in which the content will be stored.

  If unspecified, content will be stored in the BASEPATH directory.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

### MEDIAOPTION_FILENAME

    public static final java.lang.String MEDIAOPTION_FILENAME

  Description copied from class: `MediaBfile`
  The name of the media option whose value is the filename in which content will be stored on the database-tier file system.

  If unspecified, the filename will be "`ifsbfile_cid`", where `cid` is the unique content id.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

Constructor Detail

### MediaBfile

    protected MediaBfile(LibrarySession session,
                         java.lang.Long id,
                         java.lang.Long classId,
                         S_LibraryObjectData data)
                  throws IfsException

  Constructs a MediaBfile object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getBasePath

    public java.lang.String getBasePath()
                                 throws IfsException

  Description copied from class: `MediaBfile`
  Gets the absolute path to the base directory for content stored by this MediaBfile instance.

  Returns:
    the base path
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findAll

    public static MediaBfile[] findAll(LibrarySession session)
                                throws IfsException

  Description copied from class: `MediaBfile`
  Gets the set of all MediaBfile instances.

  Parameters:
    `session` - the session
  Returns:
    the MediaBfile instances, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findByName

    public static MediaBfile findByName(LibrarySession session,
                                        java.lang.String name)
                                 throws IfsException

  Description copied from class: `MediaBfile`
  Gets the MediaBfile with the specified name.

  Parameters:
    `session` - the session; required
    `name` - the name
  Returns:
    the MediaBfile, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD